// -------------------------------------------------------------------------------- 
//!  @file  config.h                                                                
//!  設定ファイル                                                                   
//                                                                                  
//   Copyright (C) 2023 lsluk, All rights reserved.                                 
//   http://vdmgr.g2.xrea.com/index.html                                            
// -------------------------------------------------------------------------------- 
#ifndef __CONFIG_H__INCLUDED__
#define __CONFIG_H__INCLUDED__

//! RAM 関数
#define RAMFUNC						__attribute__ ((section(".data.ram_funcs")))

// RP2040
#define RP2040_CFG_SYSCLK			125								//!< システムクロック周波数（MHz）
																	//   VGA 使用時は libvga/vga/vga.pio 内の sysclk へこの値を記述する必要あり

// NEOGEO POCKET LCD ピン
#define NGPLCD_CFG_PIN_DISP			18								//!< /DISP（変更時は ngplcd.pio の変更も必要）
#define NGPLCD_CFG_PIN_CL2			1								//!< CLS2 （変更時は ngplcd.pio の変更も必要）
#define NGPLCD_CFG_PIN_DI0			14								//!< DI0
#define NGPLCD_CFG_PIN_DI1			15								//!< DI1
#define NGPLCD_CFG_PIN_DI2			16								//!< DI2
#define NGPLCD_CFG_PIN_DI3			17								//!< DI3
#define NGPLCD_CFG_PIO				0								//!< PIO 番号
#define NGPLCD_CFG_DMA				0								//!< DMA 番号
#define NGPLCD_CFG_DMACH_PIXEL		1								//!< ピクセル転送用 DMA チャンネル番号

// NEOGEO POCKET VGA 出力
#define NGPVGA_CFG_FRAME			0x0ddd							//!< フレーム色
#define NGPVGA_CFG_BORDERUL			0x0888							//!< 境界線左上色
#define NGPVGA_CFG_BORDERBR			0x0999							//!< 境界線右下色

// VGA
#define VGA_CFG_DOTCLK				(RP2040_CFG_SYSCLK / 25)		//!< １ドットクロックあたりのクロック数
#define VGA_CFG_PIN_HSYNC			21								//!< HSYNC ピン番号
#define VGA_CFG_PIN_VSYNC			20								//!< VSYNC ピン番号
#define VGA_CFG_PIN_PIXEL			2								//!< ピクセルピン開始番号
#define VGA_CFG_PIN_PIXELCOUNT		12								//!< ピクセルビット数
#define VGA_CFG_PIO					1								//!< PIO 番号
#define VGA_CFG_DMA					1								//!< DMA 番号
#define VGA_CFG_DMACH_PIXEL			0								//!< ピクセル転送用 DMA チャンネル番号
#define VGA_CFG_DMACH_DATA			2								//!< データ転送用 DMA チャンネル番号


#endif//__CONFIG_H__INCLUDED__
