// -------------------------------------------------------------------------------- 
//!  @file  ngplcd.h                                                                
//!  NEOGEO POCKET LCD データ変換ヘッダファイル                                     
//                                                                                  
//   Copyright (C) 2023 lsluk, All rights reserved.                                 
//   http://vdmgr.g2.xrea.com/index.html                                            
// -------------------------------------------------------------------------------- 
#ifndef __NGPLCD_H__INCLUDED__
#define __NGPLCD_H__INCLUDED__


	enum {
		NGPLCD_CLK					=	6144000,					//! クロック
		NGPLCD_HCLK					=	515,						//! １行あたりのクロック数
		NGPLCD_WIDTH				=	160,						//! 表示幅
		NGPLCD_HEIGHT				=	152,						//! 表示高さ
	} ;


extern void         ngplcd_init( void ) ;
extern void         ngplcd_start( void ) ;
extern void RAMFUNC ngplcd_setColor( uint8_t color ) ;
extern void RAMFUNC ngplcd_waitVSync( void ) ;
extern void RAMFUNC ngplcd_drawLine(uint16_t *p_buff, uint32_t line) ;


#endif//__NGPLCD_H__INCLUDED__
